# Jobs REST API Guide

## Get async job details for a job id

> Get async job details for a job id

```json
{"openapi":"3.0.3","info":{"title":"Fiddler API - 2.0","version":"2.0"},"tags":[{"name":"jobs-v3"}],"servers":[{"url":"https://{fiddler-instance}","description":"Your Fiddler instance URL","variables":{"fiddler-instance":{"default":"app.fiddler.ai","description":"Your Fiddler instance domain (e.g., app.fiddler.ai, your-company.fiddler.ai, or your on-prem instance URL)"}}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"parameters":{"job_id":{"name":"job_id","in":"path","description":"job id path parameter","required":true,"schema":{"type":"string","format":"uuid"}},"verbose":{"name":"verbose","in":"query","description":"flag for extras in response","required":false,"schema":{"type":"boolean"}}},"schemas":{"ApiResponse":{"type":"object","description":"Response object for standard API responses.\n","properties":{"api_version":{"type":"string","default":"3.0","enum":["2.0","3.0"],"description":"API version.\n"},"kind":{"type":"string","default":"NORMAL","enum":["NORMAL"],"description":"Type of response, indicating a normal response.\n"}}},"Job":{"type":"object","title":"Job","required":["name","id","info","status","progress","error_message","error_reason"],"properties":{"name":{"type":"string","description":"A name describing the job"},"id":{"type":"string","format":"uuid","description":"A unique identifier for the job"},"info":{"$ref":"#/components/schemas/Info"},"status":{"$ref":"#/components/schemas/AsyncJobStatus"},"progress":{"type":"number","minimum":0,"maximum":100,"description":"Job progress -> (num tasks completed / total tasks)"},"error_message":{"type":"string","description":"Error message from a failed task in the job","nullable":true},"error_reason":{"type":"string","description":"Error reason for a job failure","nullable":true},"extras":{"type":"object","description":"Provides detailed information of the async job","nullable":true}}},"Info":{"type":"object","title":"Info","description":"","required":["resource_type","resource_name","project_name"],"properties":{"resource_type":{"$ref":"#/components/schemas/AsyncJobResourceType"},"resource_name":{"type":"string","description":"Name of the resource"},"project_name":{"type":"string","description":"Name of the project"},"resource":{"$ref":"#/components/schemas/CompactResourceObject"},"project":{"$ref":"#/components/schemas/ProjectCompact"},"model":{"$ref":"#/components/schemas/ModelCompact"}},"additionalProperties":true},"AsyncJobResourceType":{"type":"string","description":"Resource type of a job","enum":["DATASET","EVENT","MODEL","DATA"]},"CompactResourceObject":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"}}},"ProjectCompact":{"type":"object","title":"ProjectCompact","description":"Compact version of a project which can be included in the response of relevant APIs.\n","required":["id","name"],"properties":{"id":{"type":"string","format":"uuid","description":"Unique identifier of the project.\n"},"name":{"type":"string","description":"Name of the project.\n"},"asset_type":{"type":"string","enum":["ML_MODEL","GEN_AI_APP"],"description":"Type of assets the project can have.\n"}}},"ModelCompact":{"type":"object","title":"ModelCompact","description":"Compact version of a model which can be included in the response of relevant APIs.\n","required":["id","name","version"],"properties":{"id":{"type":"string","format":"uuid","description":"Unique identifier for the model.\n"},"name":{"type":"string","description":"Name of the model.\n"},"version":{"type":"string","description":"Version of the model.\n"}}},"AsyncJobStatus":{"type":"string","description":"Status of the job","enum":["PENDING","STARTED","SUCCESS","FAILURE"]},"ErrorResponse":{"type":"object","description":"Response object for errors returned by the API.\n","properties":{"api_version":{"type":"string","default":"3.0","enum":["2.0","3.0"],"description":"API version of the response.\n"},"kind":{"type":"string","default":"ERROR","enum":["ERROR"],"description":"Type of response, usually indicating an error.\n"},"error":{"type":"object","properties":{"code":{"type":"integer","format":"int32","description":"Represents the code for this error, typically an HTTP response code.\n","default":400,"enum":[400,403,404,500]},"message":{"type":"string","description":"A human-readable message providing more details about the error. If there are multiple errors, it will be the message for the first error.\n"},"errors":{"type":"array","description":"Container for additional information regarding the error, especially for multiple errors.\n","items":{"type":"object","properties":{"reason":{"type":"string","description":"Unique identifier for this error, different from the error code.\n"},"message":{"type":"string","description":"A human-readable message providing more details about the error. If there is only one error, this field will match error.message.\n"},"help":{"type":"string","description":"Link to support or documentation providing more information on the error.\n"}}}}}}}}},"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}},"paths":{"/v3/jobs/{job_id}":{"get":{"tags":["jobs-v3"],"summary":"Get async job details for a job id","description":"Get async job details for a job id","operationId":"getJobV3","parameters":[{"$ref":"#/components/parameters/job_id"},{"$ref":"#/components/parameters/verbose"}],"responses":{"200":{"description":"Success, Details of a job","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/ApiResponse"},{"type":"object","properties":{"data":{"$ref":"#/components/schemas/Job"}}}]}}}},"400":{"$ref":"#/components/responses/400"},"401":{"$ref":"#/components/responses/401"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## Get details of all background/async jobs

> Get details of all background/async jobs

```json
{"openapi":"3.0.3","info":{"title":"Fiddler API - 2.0","version":"2.0"},"tags":[{"name":"jobs-v3"}],"servers":[{"url":"https://{fiddler-instance}","description":"Your Fiddler instance URL","variables":{"fiddler-instance":{"default":"app.fiddler.ai","description":"Your Fiddler instance domain (e.g., app.fiddler.ai, your-company.fiddler.ai, or your on-prem instance URL)"}}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"parameters":{"filter":{"name":"filter","in":"query","description":"Allows you to filter by any field.","required":false,"schema":{"type":"string"}},"search":{"name":"search","in":"query","description":"Allows you to search by any field.","required":false,"schema":{"type":"string"}},"ordering":{"name":"ordering","in":"query","description":"Allows you to order results by any field. For desc order prefix field name with `-` and provide comman separated values for multiple fields","required":false,"schema":{"type":"string"}},"limit":{"name":"limit","in":"query","description":"Limit for the pagination","required":false,"schema":{"type":"integer"}},"offset":{"name":"offset","in":"query","description":"Offset for the pagination","required":false,"schema":{"type":"integer"}}},"schemas":{"PaginatedApiResponse":{"type":"object","description":"Response object for paginated API responses.\n","properties":{"api_version":{"type":"string","default":"3.0","enum":["2.0","3.0"],"description":"API version of the response.\n"},"kind":{"type":"string","default":"PAGINATED","enum":["PAGINATED"],"description":"Type of response, indicating a paginated response.\n"},"data":{"type":"object","properties":{"page_size":{"type":"integer","default":10,"description":"Number of items per page in the response.\n"},"item_count":{"type":"integer","default":10,"description":"Number of items in the current page.\n"},"total":{"type":"integer","default":100,"description":"Total number of items across all pages.\n"},"page_count":{"type":"integer","default":10,"description":"Total number of pages.\n"},"page_index":{"type":"integer","default":1,"description":"Current page index.\n"},"offset":{"type":"integer","default":0,"description":"Offset of the first item in the current page.\n"}}}}},"Jobs":{"type":"array","items":{"$ref":"#/components/schemas/JobsListObject"}},"JobsListObject":{"type":"object","title":"JobsListObject","required":["name","id","info","status","created_at","updated_at","started_at","completed_at"],"properties":{"name":{"type":"string","description":"A name describing the job"},"id":{"type":"string","format":"uuid"},"info":{"$ref":"#/components/schemas/Info"},"status":{"$ref":"#/components/schemas/AsyncJobStatus"},"created_at":{"type":"string","format":"date-time","description":"Job createad at time"},"updated_at":{"type":"string","format":"date-time","description":"Job last updated at time"},"started_at":{"type":"string","format":"date-time","description":"Job execution start time","nullable":true},"completed_at":{"type":"string","format":"date-time","description":"Job execution completion time","nullable":true}}},"Info":{"type":"object","title":"Info","description":"","required":["resource_type","resource_name","project_name"],"properties":{"resource_type":{"$ref":"#/components/schemas/AsyncJobResourceType"},"resource_name":{"type":"string","description":"Name of the resource"},"project_name":{"type":"string","description":"Name of the project"},"resource":{"$ref":"#/components/schemas/CompactResourceObject"},"project":{"$ref":"#/components/schemas/ProjectCompact"},"model":{"$ref":"#/components/schemas/ModelCompact"}},"additionalProperties":true},"AsyncJobResourceType":{"type":"string","description":"Resource type of a job","enum":["DATASET","EVENT","MODEL","DATA"]},"CompactResourceObject":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"}}},"ProjectCompact":{"type":"object","title":"ProjectCompact","description":"Compact version of a project which can be included in the response of relevant APIs.\n","required":["id","name"],"properties":{"id":{"type":"string","format":"uuid","description":"Unique identifier of the project.\n"},"name":{"type":"string","description":"Name of the project.\n"},"asset_type":{"type":"string","enum":["ML_MODEL","GEN_AI_APP"],"description":"Type of assets the project can have.\n"}}},"ModelCompact":{"type":"object","title":"ModelCompact","description":"Compact version of a model which can be included in the response of relevant APIs.\n","required":["id","name","version"],"properties":{"id":{"type":"string","format":"uuid","description":"Unique identifier for the model.\n"},"name":{"type":"string","description":"Name of the model.\n"},"version":{"type":"string","description":"Version of the model.\n"}}},"AsyncJobStatus":{"type":"string","description":"Status of the job","enum":["PENDING","STARTED","SUCCESS","FAILURE"]},"ErrorResponse":{"type":"object","description":"Response object for errors returned by the API.\n","properties":{"api_version":{"type":"string","default":"3.0","enum":["2.0","3.0"],"description":"API version of the response.\n"},"kind":{"type":"string","default":"ERROR","enum":["ERROR"],"description":"Type of response, usually indicating an error.\n"},"error":{"type":"object","properties":{"code":{"type":"integer","format":"int32","description":"Represents the code for this error, typically an HTTP response code.\n","default":400,"enum":[400,403,404,500]},"message":{"type":"string","description":"A human-readable message providing more details about the error. If there are multiple errors, it will be the message for the first error.\n"},"errors":{"type":"array","description":"Container for additional information regarding the error, especially for multiple errors.\n","items":{"type":"object","properties":{"reason":{"type":"string","description":"Unique identifier for this error, different from the error code.\n"},"message":{"type":"string","description":"A human-readable message providing more details about the error. If there is only one error, this field will match error.message.\n"},"help":{"type":"string","description":"Link to support or documentation providing more information on the error.\n"}}}}}}}}},"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Resource not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}},"paths":{"/v3/jobs":{"get":{"tags":["jobs-v3"],"summary":"Get details of all background/async jobs","description":"Get details of all background/async jobs","operationId":"getJobsV3","parameters":[{"$ref":"#/components/parameters/filter"},{"$ref":"#/components/parameters/search"},{"$ref":"#/components/parameters/ordering"},{"$ref":"#/components/parameters/limit"},{"$ref":"#/components/parameters/offset"}],"responses":{"200":{"description":"Success, Details of all background/async jobs","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/PaginatedApiResponse"},{"type":"object","properties":{"data":{"type":"object","properties":{"items":{"$ref":"#/components/schemas/Jobs"}}}}}]}}}},"400":{"$ref":"#/components/responses/400"},"401":{"$ref":"#/components/responses/401"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fiddler.ai/api/rest-api/rest-api/jobs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
